# Uses of Interface
javax.print.attribute.PrintRequestAttributeSet

Packages that use PrintRequestAttributeSet
Package
Description
java.awt.print
Provides classes and interfaces for a general printing API.
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.print.attribute
Provides classes and interfaces that describe the types of Java Print Service attributes and how they can be collected into attribute sets.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of PrintRequestAttributeSet in java.awt.print

Methods in java.awt.print with parameters of type PrintRequestAttributeSet
Modifier and Type
Method
Description
`PageFormat`
PrinterJob.`getPageFormat(PrintRequestAttributeSet attributes)`
Calculates a `PageFormat` with values consistent with those supported by the current `PrintService` for this job (ie the value returned by `getPrintService()`) and media, printable area and orientation contained in `attributes`.
`PageFormat`
PrinterJob.`pageDialog(PrintRequestAttributeSet attributes)`
A convenience method which displays a cross-platform page setup dialog.
`void`
PrinterJob.`print(PrintRequestAttributeSet attributes)`
Prints a set of pages using the settings in the attribute set.
`boolean`
PrinterJob.`printDialog(PrintRequestAttributeSet attributes)`
A convenience method which displays a cross-platform print dialog for all services which are capable of printing 2D graphics using the `Pageable` interface.

## Uses of PrintRequestAttributeSet in javax.print

Methods in javax.print with parameters of type PrintRequestAttributeSet
Modifier and Type
Method
Description
`void`
DocPrintJob.`print(Doc doc, PrintRequestAttributeSet attributes)`
Prints a document with the specified job attributes.
`void`
MultiDocPrintJob.`print(MultiDoc multiDoc, PrintRequestAttributeSet attributes)`
Print a `MultiDoc` with the specified job attributes.
`static PrintService`
ServiceUI.`printDialog(GraphicsConfiguration gc, int x, int y, PrintService[] services, PrintService defaultService, DocFlavor flavor, PrintRequestAttributeSet attributes)`
Presents a dialog to the user for selecting a print service (printer).

## Uses of PrintRequestAttributeSet in javax.print.attribute

Classes in javax.print.attribute that implement PrintRequestAttributeSet
Modifier and Type
Class
Description
`class`
`HashPrintRequestAttributeSet`
Class `HashPrintRequestAttributeSet` inherits its implementation from class `HashAttributeSet` and enforces the semantic restrictions of interface `PrintRequestAttributeSet`.
Methods in javax.print.attribute that return PrintRequestAttributeSet
Modifier and Type
Method
Description
`static PrintRequestAttributeSet`
AttributeSetUtilities.`synchronizedView(PrintRequestAttributeSet attributeSet)`
Creates a synchronized view of the given print request attribute set.
`static PrintRequestAttributeSet`
AttributeSetUtilities.`unmodifiableView(PrintRequestAttributeSet attributeSet)`
Creates an unmodifiable view of the given print request attribute set.
Methods in javax.print.attribute with parameters of type PrintRequestAttributeSet
Modifier and Type
Method
Description
`static PrintRequestAttributeSet`
AttributeSetUtilities.`synchronizedView(PrintRequestAttributeSet attributeSet)`
Creates a synchronized view of the given print request attribute set.
`static PrintRequestAttributeSet`
AttributeSetUtilities.`unmodifiableView(PrintRequestAttributeSet attributeSet)`
Creates an unmodifiable view of the given print request attribute set.
Constructors in javax.print.attribute with parameters of type PrintRequestAttributeSet
Modifier
Constructor
Description
``
`HashPrintRequestAttributeSet(PrintRequestAttributeSet attributes)`
Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `(PrintRequestAttributeSe` interface.

## Uses of PrintRequestAttributeSet in javax.swing

Methods in javax.swing with parameters of type PrintRequestAttributeSet
Modifier and Type
Method
Description
`boolean`
JTable.`print(JTable.PrintMode printMode, MessageFormat headerFormat, MessageFormat footerFormat, boolean showPrintDialog, PrintRequestAttributeSet attr, boolean interactive)`
Prints this table, as specified by the fully featured `print` method, with the default printer specified as the print service.
`boolean`
JTable.`print(JTable.PrintMode printMode, MessageFormat headerFormat, MessageFormat footerFormat, boolean showPrintDialog, PrintRequestAttributeSet attr, boolean interactive, PrintService service)`
Prints this `JTable`.

## Uses of PrintRequestAttributeSet in javax.swing.text

Methods in javax.swing.text with parameters of type PrintRequestAttributeSet
Modifier and Type
Method
Description
`boolean`
JTextComponent.`print(MessageFormat headerFormat, MessageFormat footerFormat, boolean showPrintDialog, PrintService service, PrintRequestAttributeSet attributes, boolean interactive)`
Prints the content of this `JTextComponent`.